summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO9
-rw-r--r--PKGBUILD24
2 files changed, 19 insertions, 14 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 56dfc98e8bc..838581c1f33 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,19 +1,20 @@
pkgbase = remotely-git
pkgdesc = A GTK3 VNC Client
pkgver = r8.8b5f629
- pkgrel = 1
- url = https://github.com/haecker-felix/Remotely
+ pkgrel = 2
+ url = https://gitlab.gnome.org/haecker-felix/Remotely
arch = i686
arch = x86_64
arch = armv6h
arch = armv7h
license = GPL3
+ makedepends = gtk-vnc
makedepends = meson
makedepends = vala
- depends = gtk3
+ depends = gtk-vnc
provides = remotely
conflicts = remotely
- source = git+https://github.com/haecker-felix/Remotely.git
+ source = git+https://gitlab.gnome.org/haecker-felix/Remotely.git
md5sums = SKIP
pkgname = remotely-git
diff --git a/PKGBUILD b/PKGBUILD
index f1680826637..7a49a22a5f9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,30 +3,34 @@
_pkgname=remotely
pkgname=$_pkgname-git
pkgver=r8.8b5f629
-pkgrel=1
+pkgrel=2
pkgdesc="A GTK3 VNC Client"
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
-url="https://github.com/haecker-felix/Remotely"
+url="https://gitlab.gnome.org/haecker-felix/Remotely"
license=('GPL3')
-depends=('gtk3')
-makedepends=('meson'
+depends=('gtk-vnc')
+makedepends=('gtk-vnc'
+ 'meson'
'vala')
provides=("$_pkgname")
conflicts=("$_pkgname")
-source=("git+https://github.com/haecker-felix/Remotely.git")
+source=("git+https://gitlab.gnome.org/haecker-felix/Remotely.git")
md5sums=('SKIP')
pkgver() {
- cd Remotely
+ cd Remotely
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
build() {
- rm -rf build
- arch-meson Remotely build
- ninja -v -C build
+ rm -rf build
+ arch-meson Remotely build
+ ninja -v -C build
}
package() {
- DESTDIR="$pkgdir/" ninja -C build install
+ DESTDIR="$pkgdir/" ninja -C build install
}